;--- include file created by h2incx v0.99.20 (copyright 2005-2009 japheth)
;--- source file: C:\jwasm\IUP\include\iup.h, last modified: 4/26/2011 10:34
;--- cmdline used for creation:  iup.h

ifndef __IUP_H
__IUP_H	EQU	<>

;jcfuller commented
;	include iupkey.inc

	include iupdef.inc
;jcfuller added
	Ihandle_ struct

	Ihandle_ ends

IUP_NAME	EQU	<"IUP - Portable User Interface">
IUP_COPYRIGHT	EQU	<"Copyright (C) 1994-2011 Tecgraf, PUC-Rio.">
IUP_DESCRIPTION	EQU	<"Portable toolkit for building graphical user interfaces.">
IUP_VERSION	EQU	<"3.5">
IUP_VERSION_NUMBER	EQU	305000
IUP_VERSION_DATE	EQU	<"2011/04/26">
Ihandle typedef Ihandle_

proto_Icallback typedef proto  :ptr Ihandle
Icallback typedef ptr proto_Icallback
IupOpen proto c  :ptr DWORD, :ptr ptr ptr SBYTE
IupClose proto c  
IupImageLibOpen proto c  
IupMainLoop proto c  
IupLoopStep proto c  
IupLoopStepWait proto c  
IupMainLoopLevel proto c  
IupFlush proto c  
IupExitLoop proto c  
IupRecordInput proto c  :ptr SBYTE, :DWORD
IupPlayInput proto c  :ptr SBYTE
IupUpdate proto c  :ptr Ihandle
IupUpdateChildren proto c  :ptr Ihandle
IupRedraw proto c  :ptr Ihandle, :DWORD
IupRefresh proto c  :ptr Ihandle
IupRefreshChildren proto c  :ptr Ihandle
IupMapFont proto c  :ptr SBYTE
IupUnMapFont proto c  :ptr SBYTE
IupHelp proto c  :ptr SBYTE
IupLoad proto c  :ptr SBYTE
IupLoadBuffer proto c  :ptr SBYTE
IupVersion proto c  
IupVersionDate proto c  
IupVersionNumber proto c  
IupSetLanguage proto c  :ptr SBYTE
IupGetLanguage proto c  
IupDestroy proto c  :ptr Ihandle
IupDetach proto c  :ptr Ihandle
IupAppend proto c  :ptr Ihandle, :ptr Ihandle
IupInsert proto c  :ptr Ihandle, :ptr Ihandle, :ptr Ihandle
IupGetChild proto c  :ptr Ihandle, :DWORD
IupGetChildPos proto c  :ptr Ihandle, :ptr Ihandle
IupGetChildCount proto c  :ptr Ihandle
IupGetNextChild proto c  :ptr Ihandle, :ptr Ihandle
IupGetBrother proto c  :ptr Ihandle
IupGetParent proto c  :ptr Ihandle
IupGetDialog proto c  :ptr Ihandle
IupGetDialogChild proto c  :ptr Ihandle, :ptr SBYTE
IupReparent proto c  :ptr Ihandle, :ptr Ihandle, :ptr Ihandle
IupPopup proto c  :ptr Ihandle, :DWORD, :DWORD
IupShow proto c  :ptr Ihandle
IupShowXY proto c  :ptr Ihandle, :DWORD, :DWORD
IupHide proto c  :ptr Ihandle
IupMap proto c  :ptr Ihandle
IupUnmap proto c  :ptr Ihandle
IupSetAttribute proto c  :ptr Ihandle, :ptr SBYTE, :ptr SBYTE
IupStoreAttribute proto c  :ptr Ihandle, :ptr SBYTE, :ptr SBYTE
IupSetAttributes proto c  :ptr Ihandle, :ptr SBYTE
IupGetAttribute proto c  :ptr Ihandle, :ptr SBYTE
IupGetAttributes proto c  :ptr Ihandle
IupGetInt proto c  :ptr Ihandle, :ptr SBYTE
IupGetInt2 proto c  :ptr Ihandle, :ptr SBYTE
IupGetIntInt proto c  :ptr Ihandle, :ptr SBYTE, :ptr DWORD, :ptr DWORD
IupGetFloat proto c  :ptr Ihandle, :ptr SBYTE
IupSetfAttribute proto c  :ptr Ihandle, :ptr SBYTE, :ptr SBYTE, :VARARG
IupResetAttribute proto c  :ptr Ihandle, :ptr SBYTE
IupGetAllAttributes proto c  :ptr Ihandle, :ptr ptr SBYTE, :DWORD
IupSetAtt proto c  :ptr SBYTE, :ptr Ihandle, :ptr SBYTE, :VARARG
IupSetAttributeId proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr SBYTE
IupStoreAttributeId proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr SBYTE
IupGetAttributeId proto c  :ptr Ihandle, :ptr SBYTE, :DWORD
IupGetFloatId proto c  :ptr Ihandle, :ptr SBYTE, :DWORD
IupGetIntId proto c  :ptr Ihandle, :ptr SBYTE, :DWORD
IupSetfAttributeId proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr SBYTE, :VARARG
IupSetAttributeId2 proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :DWORD, :ptr SBYTE
IupStoreAttributeId2 proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :DWORD, :ptr SBYTE
IupGetAttributeId2 proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :DWORD
IupGetIntId2 proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :DWORD
IupGetFloatId2 proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :DWORD
IupSetfAttributeId2 proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :DWORD, :ptr SBYTE, :VARARG
IupSetGlobal proto c  :ptr SBYTE, :ptr SBYTE
IupStoreGlobal proto c  :ptr SBYTE, :ptr SBYTE
IupGetGlobal proto c  :ptr SBYTE
IupSetFocus proto c  :ptr Ihandle
IupGetFocus proto c  
IupPreviousField proto c  :ptr Ihandle
IupNextField proto c  :ptr Ihandle
IupGetCallback proto c  :ptr Ihandle, :ptr SBYTE
IupSetCallback proto c  :ptr Ihandle, :ptr SBYTE, :Icallback
IupSetCallbacks proto c  :ptr Ihandle, :ptr SBYTE, :Icallback, :VARARG
IupGetFunction proto c  :ptr SBYTE
IupSetFunction proto c  :ptr SBYTE, :Icallback
IupGetActionName proto c  
IupGetHandle proto c  :ptr SBYTE
IupSetHandle proto c  :ptr SBYTE, :ptr Ihandle
IupGetAllNames proto c  :ptr ptr SBYTE, :DWORD
IupGetAllDialogs proto c  :ptr ptr SBYTE, :DWORD
IupGetName proto c  :ptr Ihandle
IupSetAttributeHandle proto c  :ptr Ihandle, :ptr SBYTE, :ptr Ihandle
IupGetAttributeHandle proto c  :ptr Ihandle, :ptr SBYTE
IupGetClassName proto c  :ptr Ihandle
IupGetClassType proto c  :ptr Ihandle
IupGetAllClasses proto c  :ptr ptr SBYTE, :DWORD
IupGetClassAttributes proto c  :ptr SBYTE, :ptr ptr SBYTE, :DWORD
IupGetClassCallbacks proto c  :ptr SBYTE, :ptr ptr SBYTE, :DWORD
IupSaveClassAttributes proto c  :ptr Ihandle
IupCopyClassAttributes proto c  :ptr Ihandle, :ptr Ihandle
IupSetClassDefaultAttribute proto c  :ptr SBYTE, :ptr SBYTE, :ptr SBYTE
IupClassMatch proto c  :ptr Ihandle, :ptr SBYTE
IupCreate proto c  :ptr SBYTE
IupCreatev proto c  :ptr SBYTE, :ptr ptr 
IupCreatep proto c  :ptr SBYTE, :ptr , :VARARG
IupFill proto c  
IupRadio proto c  :ptr Ihandle
IupVbox proto c  :ptr Ihandle, :VARARG
IupVboxv proto c  :ptr ptr Ihandle
IupZbox proto c  :ptr Ihandle, :VARARG
IupZboxv proto c  :ptr ptr Ihandle
IupHbox proto c  :ptr Ihandle, :VARARG
IupHboxv proto c  :ptr ptr Ihandle
IupNormalizer proto c  :ptr Ihandle, :VARARG
IupNormalizerv proto c  :ptr ptr Ihandle
IupCbox proto c  :ptr Ihandle, :VARARG
IupCboxv proto c  :ptr ptr Ihandle
IupSbox proto c  :ptr Ihandle
IupSplit proto c  :ptr Ihandle, :ptr Ihandle
IupFrame proto c  :ptr Ihandle
IupImage proto c  :DWORD, :DWORD, :ptr BYTE
IupImageRGB proto c  :DWORD, :DWORD, :ptr BYTE
IupImageRGBA proto c  :DWORD, :DWORD, :ptr BYTE
IupItem proto c  :ptr SBYTE, :ptr SBYTE
IupSubmenu proto c  :ptr SBYTE, :ptr Ihandle
IupSeparator proto c  
IupMenu proto c  :ptr Ihandle, :VARARG
IupMenuv proto c  :ptr ptr Ihandle
IupButton proto c  :ptr SBYTE, :ptr SBYTE
IupCanvas proto c  :ptr SBYTE
IupDialog proto c  :ptr Ihandle
IupUser proto c  
IupLabel proto c  :ptr SBYTE
IupList proto c  :ptr SBYTE
IupText proto c  :ptr SBYTE
IupMultiLine proto c  :ptr SBYTE
IupToggle proto c  :ptr SBYTE, :ptr SBYTE
IupTimer proto c  
IupClipboard proto c  
IupProgressBar proto c  
IupVal proto c  :ptr SBYTE
IupTabs proto c  :ptr Ihandle, :VARARG
IupTabsv proto c  :ptr ptr Ihandle
IupTree proto c  
IupSpin proto c  
IupSpinbox proto c  :ptr Ihandle
IupSaveImageAsText proto c  :ptr Ihandle, :ptr SBYTE, :ptr SBYTE, :ptr SBYTE
IupTextConvertLinColToPos proto c  :ptr Ihandle, :DWORD, :DWORD, :ptr DWORD
IupTextConvertPosToLinCol proto c  :ptr Ihandle, :DWORD, :ptr DWORD, :ptr DWORD
IupConvertXYToPos proto c  :ptr Ihandle, :DWORD, :DWORD
IupTreeSetUserId proto c  :ptr Ihandle, :DWORD, :ptr 
IupTreeGetUserId proto c  :ptr Ihandle, :DWORD
IupTreeGetId proto c  :ptr Ihandle, :ptr 
IupTreeSetAttribute proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr SBYTE
IupTreeStoreAttribute proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr SBYTE
IupTreeGetAttribute proto c  :ptr Ihandle, :ptr SBYTE, :DWORD
IupTreeGetInt proto c  :ptr Ihandle, :ptr SBYTE, :DWORD
IupTreeGetFloat proto c  :ptr Ihandle, :ptr SBYTE, :DWORD
IupTreeSetfAttribute proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr SBYTE, :VARARG
IupTreeSetAttributeHandle proto c  :ptr Ihandle, :ptr SBYTE, :DWORD, :ptr Ihandle
IupFileDlg proto c  
IupMessageDlg proto c  
IupColorDlg proto c  
IupFontDlg proto c  
IupGetFile proto c  :ptr SBYTE
IupMessage proto c  :ptr SBYTE, :ptr SBYTE
IupMessagef proto c  :ptr SBYTE, :ptr SBYTE, :VARARG
IupAlarm proto c  :ptr SBYTE, :ptr SBYTE, :ptr SBYTE, :ptr SBYTE, :ptr SBYTE
IupScanf proto c  :ptr SBYTE, :VARARG
IupListDialog proto c  :DWORD, :ptr SBYTE, :DWORD, :ptr ptr SBYTE, :DWORD, :DWORD, :DWORD, :ptr DWORD
IupGetText proto c  :ptr SBYTE, :ptr SBYTE
IupGetColor proto c  :DWORD, :DWORD, :ptr BYTE, :ptr BYTE, :ptr BYTE
proto_Iparamcb typedef proto c  :ptr Ihandle,:DWORD,:ptr 
Iparamcb typedef ptr proto_Iparamcb
IupGetParam proto c  :ptr SBYTE, :Iparamcb, :ptr , :ptr SBYTE, :VARARG
IupGetParamv proto c  :ptr SBYTE, :Iparamcb, :ptr , :ptr SBYTE, :DWORD, :DWORD, :ptr ptr 
IupLayoutDialog proto c  :ptr Ihandle
IupElementPropertiesDialog proto c  :ptr Ihandle
ifdef __cplusplus
;}
endif 
IUP_ERROR	EQU	1
IUP_NOERROR	EQU	0
IUP_OPENED	EQU	- 1
IUP_INVALID	EQU	- 1
IUP_IGNORE	EQU	- 1
IUP_DEFAULT	EQU	- 2
IUP_CLOSE	EQU	- 3
IUP_CONTINUE	EQU	- 4
IUP_CENTER	EQU	0FFFFh
IUP_LEFT	EQU	0FFFEh
IUP_RIGHT	EQU	0FFFDh
IUP_MOUSEPOS	EQU	0FFFCh
IUP_CURRENT	EQU	0FFFBh
IUP_CENTERPARENT	EQU	0FFFAh
IUP_TOP	EQU	<IUP_LEFT>
IUP_BOTTOM	EQU	<IUP_RIGHT>
IUP_SHOW = 0
IUP_RESTORE = 1
IUP_MINIMIZE = 2
IUP_MAXIMIZE = 3
IUP_HIDE = 4

IUP_SBUP = 0
IUP_SBDN = 1
IUP_SBPGUP = 2
IUP_SBPGDN = 3
IUP_SBPOSV = 4
IUP_SBDRAGV = 5
IUP_SBLEFT = 6
IUP_SBRIGHT = 7
IUP_SBPGLEFT = 8
IUP_SBPGRIGHT = 9
IUP_SBPOSH = 10
IUP_SBDRAGH = 11

IUP_BUTTON1	EQU	<'1'>
IUP_BUTTON2	EQU	<'2'>
IUP_BUTTON3	EQU	<'3'>
IUP_BUTTON4	EQU	<'4'>
IUP_BUTTON5	EQU	<'5'>
iup_isshift macro _s
	exitm <( _s [ 0 ] == 'S' ) >
	endm
iup_iscontrol macro _s
	exitm <( _s [ 1 ] == 'C' ) >
	endm
iup_isbutton1 macro _s
	exitm <( _s [ 2 ] == '1' ) >
	endm
iup_isbutton2 macro _s
	exitm <( _s [ 3 ] == '2' ) >
	endm
iup_isbutton3 macro _s
	exitm <( _s [ 4 ] == '3' ) >
	endm
iup_isdouble macro _s
	exitm <( _s [ 5 ] == 'D' ) >
	endm
iup_isalt macro _s
	exitm <( _s [ 6 ] == 'A' ) >
	endm
iup_issys macro _s
	exitm <( _s [ 7 ] == 'Y' ) >
	endm
iup_isbutton4 macro _s
	exitm <( _s [ 8 ] == '4' ) >
	endm
iup_isbutton5 macro _s
	exitm <( _s [ 9 ] == '5' ) >
	endm
isshift	EQU	<iup_isshift>
iscontrol	EQU	<iup_iscontrol>
isbutton1	EQU	<iup_isbutton1>
isbutton2	EQU	<iup_isbutton2>
isbutton3	EQU	<iup_isbutton3>
isdouble	EQU	<iup_isdouble>
isalt	EQU	<iup_isalt>
issys	EQU	<iup_issys>
isbutton4	EQU	<iup_isbutton4>
isbutton5	EQU	<iup_isbutton5>
IUP_MASK_FLOAT	EQU	<"[+/-]?(/d+/.?/d*|/./d+)">
IUP_MASK_UFLOAT	EQU	<"(/d+/.?/d*|/./d+)">
IUP_MASK_EFLOAT	EQU	<"[+/-]?(/d+/.?/d*|/./d+)([eE][+/-]?/d+)?">
IUP_MASK_INT	EQU	<"[+/-]?/d+">
IUP_MASK_UINT	EQU	<"/d+">
IUPMASK_FLOAT	EQU	<IUP_MASK_FLOAT>
IUPMASK_UFLOAT	EQU	<IUP_MASK_UFLOAT>
IUPMASK_EFLOAT	EQU	<IUP_MASK_EFLOAT>
IUPMASK_INT	EQU	<IUP_MASK_INT>
IUPMASK_UINT	EQU	<IUP_MASK_UINT>
IUP_RECBINARY = 0
IUP_RECTEXT = 1

ifndef defined
defined macro x
ifdef x
  exitm <1>
else
  exitm <0>
endif
endm
endif
if defined(__WATCOMC__)
ifdef __cplusplus
;extern "C"
;{
IupMain proto  :DWORD, :ptr ptr SBYTE
;}
endif 
main	EQU	<IupMain>
endif 
endif 

;--- errors: 0
;--- end of file ---
